Bug 67594 - No chance to manually partition if kickstart partitioning fails
No chance to manually partition if kickstart partitioning fails
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-06-27 17:37 EDT by Bruce Lowekamp
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Lowekamp 2002-06-27 17:37:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
When the "interactive" keyword is used in a kickstart file with nothing else but
a package section, the installation fails while trying to create a partition
(which wasn't requested in the kickstart file) before even showing the
partitioning dialog in anaconda.  When the "interactive" flag is removed,
anaconda displays the partitioning phase normally.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use included file on machine with full partition table  (I had it on a
partition I wasn't planning to format) linux ks=hd:hda3/ks.cfg
2.accept default options for keyboard, mouse, etc
3.will crash before getting to partitioning

Actual Results:  anaconda displays error message: 
"Could not allocate requested partitions
Parition failed: Could not allocate partition as primary partition
Press OK to reboot"

and only allows reboot

Expected Results:  partitioning phase of anaconda should have appeared.  In
interactive mode with only the packages defined in the ks file, I expected a
normal installation, except the combination of packages I wanted would already
be preselected.

Additional info:

System this error occurs on has a partition table full of primary partitions, so
partition creation will fail:

[root@chorus nmwg]# fdisk /dev/hda

The number of cylinders for this disk is set to 2584.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/hda: 240 heads, 63 sectors, 2584 cylinders
Units = cylinders of 15120 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       813   6146248+   b  Win95 FAT32
/dev/hda2           814      1368   4195800   83  Linux
/dev/hda3          1369      2516   8678880   83  Linux
/dev/hda4          2517      2584    514080   82  Linux swap

ks.cfg file used contained nothing but:
# Kickstart file automatically generated by anaconda.

<package list deleted to save space>

Comment 1 Michael Fulbright 2002-06-28 12:24:10 EDT
I believe I have this fixed in our internal CVS.
Comment 2 Bruce Lowekamp 2002-06-28 13:37:46 EDT
regarding the changed summary, when interactive mode is set, why would it even
be trying to partition the drive before putting up the manual menu?  (although
obviously allowing manual partitioning after the failure would have solved this
problem).  Is it just trying to come up with a recommended partitioning that
could be modified interactively?

Comment 3 Marc MERLIN 2002-08-02 01:31:45 EDT
Ah, there we go, this is the exact bug I am seeing.

1) Is the CVS code available as a downloadable boot floppy somewhere?
2) Is there a workaround? Will it work if I remove interactive and not specify
   partitions (forcing anaconda to drop off automatic mode)?
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 5 Brent Fox 2003-05-25 10:53:05 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.